Package commoble.infiniverse.internal

# Class ReflectionBuddy.WorldGenSettingsAccess

java.lang.Object
commoble.infiniverse.internal.ReflectionBuddy.WorldGenSettingsAccess

Enclosing class:
  ReflectionBuddy

public static class ReflectionBuddy.WorldGenSettingsAccess extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ReflectionBuddy.MutableInstanceField<net.minecraft.world.level.levelgen.WorldGenSettings,net.minecraft.core.MappedRegistry<net.minecraft.world.level.dimension.LevelStem>>`
`dimensions`

## Constructor Summary

Constructors
Constructor
Description
`WorldGenSettingsAccess()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### dimensions

public static final ReflectionBuddy.MutableInstanceField<net.minecraft.world.level.levelgen.WorldGenSettings,net.minecraft.core.MappedRegistry<net.minecraft.world.level.dimension.LevelStem>> dimensions

## Constructor Details

### WorldGenSettingsAccess

public WorldGenSettingsAccess()